<script lang="ts">
  import Dot from "./Dot.svg.svelte";
  import { EArea } from "../enums/EArea";
  import { areaStore } from '../stores';

  let area: EArea;

  areaStore.subscribe(value => area = value);
</script>

<header class="duration-200 bg-black text-neutral-100 flex pt-4 px-16 sm:px-20 lg:px-24 xl:px-28 2xl:px-32 m-0-auto">
  <h1 class="text-5xl font-bold flex items-end leading-[.72]">
    41T<Dot {area} classes="w-2 h-2"/>
  </h1>
</header>